summaryrefslogtreecommitdiff
path: root/package/pango/S25pango
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-05-21 20:30:28 +0200
committerPeter Korsgaard <jacmet@sunsite.dk>2010-05-21 20:30:28 +0200
commitc89b725978616a24e066e6b01030bdd3fc0ab5c0 (patch)
treec869c538c6d0b7b7c702ef7c24c4c59a89a973b2 /package/pango/S25pango
parent319a4751c4a3a0209f628a7470a6d8e400d3479d (diff)
parent52e600ebec9cb571edee8f791da851035ae6b969 (diff)
Merge branch '2010-05-15-fixes' of git://git.busybox.net/~tpetazzoni/git/buildroot
Diffstat (limited to 'package/pango/S25pango')
-rw-r--r--package/pango/S25pango20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/pango/S25pango b/package/pango/S25pango
new file mode 100644
index 000000000..9af9307c4
--- /dev/null
+++ b/package/pango/S25pango
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# run pango-querymodules if needed
+
+FILE=/etc/pango/pango.modules
+
+case "$1" in
+ start|"")
+ if [ ! -f $FILE ] ; then
+ mkdir -p /etc/pango
+ /usr/bin/pango-querymodules > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac \ No newline at end of file